Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.chapterIV.exception
Class ChapterIVBusinessConnectorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              be.ehealth.technicalconnector.exception.ConnectorException
                  be.ehealth.businessconnector.chapterIV.exception.ChapterIVBusinessConnectorException

All Implemented Interfaces:
  Serializable

    public class ChapterIVBusinessConnectorException

extends ConnectorException

Connector Exception for ChapterIV Connector.

See Also:
  Serialized Form

Constructor Summary
`ChapterIVBusinessConnectorException(ChapterIVBusinessConnectorExceptionValues errorCodeValue, SOAErrorType causeError)`
`ChapterIVBusinessConnectorException(ChapterIVBusinessConnectorExceptionValues errorCodeValue, SOAErrorType causeError, Object... params)`
`ChapterIVBusinessConnectorException(ChapterIVBusinessConnectorExceptionValues error, String param)`
`ChapterIVBusinessConnectorException(ChapterIVBusinessConnectorExceptionValues errorCodeValue, Throwable e, Object... params)`
`ChapterIVBusinessConnectorException(ChapterIVBusinessConnectorExceptionValues errorCodeValue, Throwable e, SOAErrorType causeError, Object... params)`

Method Summary
`SOAErrorType` | `getSOAError()`

Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChapterIVBusinessConnectorException

    public ChapterIVBusinessConnectorException(ChapterIVBusinessConnectorExceptionValues errorCodeValue,
                                               SOAErrorType causeError,
                                               Object... params)

Parameters:
  `errorCodeValue` -
  `causeError` -
  `params` -

### ChapterIVBusinessConnectorException

    public ChapterIVBusinessConnectorException(ChapterIVBusinessConnectorExceptionValues errorCodeValue,
                                               Throwable e,
                                               SOAErrorType causeError,
                                               Object... params)

Parameters:
  `errorCodeValue` -
  `causeError` -
  `params` -

### ChapterIVBusinessConnectorException

    public ChapterIVBusinessConnectorException(ChapterIVBusinessConnectorExceptionValues errorCodeValue,
                                               SOAErrorType causeError)

### ChapterIVBusinessConnectorException

    public ChapterIVBusinessConnectorException(ChapterIVBusinessConnectorExceptionValues errorCodeValue,
                                               Throwable e,
                                               Object... params)

Parameters:
  `errorCodeValue` -
  `e` -
  `params` -

### ChapterIVBusinessConnectorException

    public ChapterIVBusinessConnectorException(ChapterIVBusinessConnectorExceptionValues error,
                                               String param)

Parameters:
  `inputParamNull` -
  `string` -

Method Detail

### getSOAError

    public SOAErrorType getSOAError()

  Returns:
    the cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.